{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Attach debugging",
            "type": "go",
            "request": "attach",
            "mode": "remote",
            "port": 2345,
            "host": "127.0.0.1",
            "apiVersion": 2
        }
    ],
    "compounds": [
        {
            "name": "Docker Compose and Attach",
            "configurations": ["Attach debugging"],
            "preLaunchTask": "docker-compose-up",
            "postDebugTask": "docker-compose-down"
        }
    ]
}